using UnityEngine;
using UnityEditor;
using System.Collections;
using System.Collections.Generic;

namespace AT{
    public class UBFDebugEditorWindow : EditorWindow{
            

        [MenuItem ("Window/UBF Debug View")]
        static void Init () {
            EditorWindow.GetWindow(typeof (UBFDebugEditorWindow), false, "UBF Debug View");
        }

        /** Force repaint on Update message IF the application is playing.
         */
        private void Update(){
            if(Application.isPlaying){
                Repaint();
            }
        }

        /** Draw the debugging aids provided by the GameManager.
         */
        private void OnGUI(){
            GameManagerEditor.DrawDebuggingAids(AT.GameManager.instance);    
        }

    }
}