using UnityEngine;
using UnityEngine.UI;
using System.Collections;

namespace AT{
    /** Script to update an agent's Can Fire Indicator.
     *
     * This expects to be attached to a Canvas which is shown when the Tank has a shot ready to fire, and is hidden
     * when it cannot.
     */
    public class CanFireIndicator : MonoBehaviour {

        public void UpdateCanFireGun(bool canFire){
            GetComponent<Canvas>().enabled = canFire;
        }
    }
}