﻿using UnityEngine;
using System.Collections;
using System.Collections.Generic;

namespace AT{
    namespace UBF{
        namespace Arbiters{

            /**  Selects randomly from Actions.
             */
            public class Random : AT.UBF.Arbiter {

                public override AT.UBF.Action selectAction(List<AT.UBF.Action> candidateActions){
                    if(candidateActions.Count < 1){
                        Debug.Log("Cannot select action from empty Actions list.");
                        return null;
                    }
                    int r = UnityEngine.Random.Range(0, candidateActions.Count);
                    return candidateActions[r];
                }
            }   
        }
    }
}

