using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using System;


namespace AT{
    namespace UBF{
        namespace Behaviors{

            /** Always returns a No-Op Action-Vote (i.e. abstain from voting).
             *
             *  This is named NoOp rather than DoNothing because the DoNothing Behavior returns an Action that votes 
             *  (i.e. with all motors set to 0.0 and fireGun to False). 
             */
            public class NoOp : AT.UBF.Behavior {

                protected override AT.UBF.Action genActionInternal(AT.UBF.State state){
                    return new AT.UBF.Action();
                }
            }
        }
    }
}