
/** Team enumeration for handling team based fights.
 *
 *  Warning: This enum is used in serialized agents as an int, so if you insert team names before an existing team,
 *           that agent will load the wrong team. Example: Inserting a team named "Foo" in between "Alpha" and "Bravo" 
 *           would result in all agents originally assigned to "Bravo" to load as being on team "Foo". Therefore you 
 *           should only _append_ teams to this list to preserve prior agents.
 */
namespace AT{
    public enum Team {None, Alpha, Bravo, Charlie, Delta};
}