/** The version of Mono that comes with Unity doesn't have Tuples. 
 *  This just provides simple (4) Tuple support.
 */

public class Quad<T1, T2, T3, T4>{
    public T1 first { get; private set; }
    public T2 second { get; private set; }
    public T3 third { get; private set; }
    public T4 fourth {get; private set; }
    internal Quad(T1 first, T2 second, T3 third, T4 fourth){
        this.first = first;
        this.second = second;
        this.third = third;
        this.fourth = fourth;
    }
}
 
public static class Quad{
    public static Quad<T1, T2, T3, T4> New<T1, T2, T3, T4>(T1 first, T2 second, T3 third, T4 fourth){
        var quad = new Quad<T1, T2, T3, T4>(first, second, third, fourth);
        return quad;
    }
}