/** The version of Mono that comes with Unity doesn't have Tuples. 
 *  This just provides simple (2) Tuple support.
 */

public class Tuple<T1, T2>{
    public T1 first { get; private set; }
    public T2 second { get; private set; }
    internal Tuple(T1 first, T2 second){
        this.first = first;
        this.second = second;
    }
}
 
public static class Tuple{
    public static Tuple<T1, T2> New<T1, T2>(T1 first, T2 second){
        var tuple = new Tuple<T1, T2>(first, second);
        return tuple;
    }
}