# Licensing 

AutoTank's code is covered by the MIT license. Exceptions and further details on those licenses are provided below. 

## License and Copyright Exceptions

The following are either assets covered by a different license than the rest of the project, or code from a different author.

- MIT License  -  Copyright (c) 2013 Calvin Rien 
    - /Assets/MiniJSON.cs
- MIT License  - Copyright 2010-2016 Grumdrig  (from Stack Overflow)
    - Assets\Util.cs (portions of this file)
- MIT License  - Copyright 2014 Rickz0r  (from Stack Exchange)
    - Assets\AT\Vision.cs (portions of this file)
- Creative Commons Attribution v4.0 (CC BY)  -  Copyright 2016 Air Force Institute of Technology (AFIT), United States Air Force
    - /Assets/Sprites/bullet.png
    - /Assets/Sprites/cursor.png
    - /Assets/Sprites/tank.lip
    - /Assets/Sprites/tank.png
    - /CanvasGizmo.jpg
    - /ControllerScriptInspector.jpg
    - /GameManager_TankColors_01.jpg
    - /GameManager_TankColors_02.jpg
    - /Tutorial/AutoTankScene01.jpg
    - /Tutorial/AutoTankScene02.jpg
    - /Tutorial/AutoTankScene03.jpg
    - /Tutorial/AutoTankScene04.jpg
    - /Tutorial/AutoTankScene05.jpg
    - /Tutorial/AutoTankScene06.jpg
    - /Tutorial/AutoTankScene07.jpg
    - /Tutorial/AutoTankScene08.jpg
    - /Tutorial/AutoTankScene09.jpg
    - /Tutorial/AutoTankScene10.jpg
    - /Tutorial/AutoTankScene11.jpg
    - /Tutorial/ControllerScriptInspector.jpg
    - /Tutorial/MonoDevelop01.jpg
    - /Tutorial/MonoDevelop02.jpg
    - /Tutorial/MonoDevelop03.jpg

## Code From Stack Exchange 

As of March 1, 2016, all code from Stack Exchange websites (including Stack Overflow) uses the MIT License as explained [here](http://meta.stackexchange.com/questions/272956/a-new-code-license-the-mit-this-time-with-attribution-required?cb=1). Therefore, all uses of snippets or modified code from Stack Exchange requires attribution.

## The MIT License

Read an explainer [here](http://choosealicense.com/licenses/mit/).

MIT License

Copyright (c) 2016 Air Force Institute of Technology (AFIT), United States Air Force

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

## Creative Commons Attribution v4.0

Read an explainer [here](https://creativecommons.org/licenses/by/4.0/) or [here](http://choosealicense.com/licenses/cc-by-4.0/). The full legal version is available [here](https://creativecommons.org/licenses/by/4.0/legalcode).

